Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1283135 - [QE](6.2.z)Changing of task type does not trigger Save dialogue
[QE](6.2.z)Changing of task type does not trigger Save dialogue
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
All All
high Severity high
: CR1
: 6.2.1
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
: Regression
Depends On:
Blocks: 1288023 1295502
  Show dependency treegraph
 
Reported: 2015-11-18 06:08 EST by Kirill Gaevskii
Modified: 2016-07-31 21:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1295502 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Not possible to save after task type changing (2.54 MB, application/ogg)
2015-11-18 06:08 EST, Kirill Gaevskii
no flags Details

  None (edit)
Description Kirill Gaevskii 2015-11-18 06:08:54 EST
Created attachment 1095964 [details]
Not possible to save after task type changing

Description of problem:
If you will open existing project and change type task with shape menu you can't save Business Process without other changes (to move something and so on). Changing throw properties bar works as expected. (see Attachment).

Version-Release number of selected component (if applicable):
6.2.CR1

How reproducible:
always

Steps to Reproduce:
1. Open existing Business Process with some tasks
2. Change it type with shape menu
3. Try to save Business Process

Actual results:
"Process have no changes" dialogue will be shown

Expected results:
You can save your changes in Business Process

Additional info:
Comment 1 Tihomir Surdilovic 2015-11-19 13:47:24 EST
master pr : https://github.com/droolsjbpm/jbpm-designer/pull/90
Comment 2 Tihomir Surdilovic 2015-11-19 13:59:00 EST
6.3.x pr : https://github.com/droolsjbpm/jbpm-designer/pull/91
Comment 3 Tihomir Surdilovic 2015-12-03 10:00:50 EST
master: https://github.com/droolsjbpm/jbpm-designer/commit/ffa91fe9efde0de81405dee0a3095e9121a84913
6.3.x commit still pending
Comment 5 Zuzana Krejčová 2016-01-20 06:56:11 EST
The commit made it into the product but didn't fix the issue.
Comment 6 Tihomir Surdilovic 2016-01-20 09:32:51 EST
I am unable to reproduce the issue on both master and 6.3.x. It works as expected. Could you provide me with an URL where i can download the war and test the same thing you are?

Thanks.
Comment 7 Zuzana Krejčová 2016-01-20 10:50:49 EST
After further discussion with Tiho, turns out it's fixed - I just forgot to clear the cache...
Sorry for the confusion.

Note You need to log in before you can comment on or make changes to this bug.